Berkeley DB version 4.3.28

## com.sleepycat.db
Class CacheFileStats

    java.lang.Object
      com.sleepycat.db.CacheFileStats

public class CacheFileStats
extends Object

Statistics for a file in the cache.

Method Summary
`int` `getCacheHit()` Requested pages found in the cache.
`int` `getCacheMiss()` Requested pages not found in the cache.
`String` `getFileName()` The name of the file.
`int` `getMap()` Requested pages mapped into the process' address space.
`int` `getPageCreate()` Pages created in the cache.
`int` `getPageIn()` Pages read into the cache.
`int` `getPageOut()` Pages written from the cache to the backing file.
`int` `getPageSize()` Page size in bytes.
`String` `toString()` For convenience, the CacheFileStats class has a toString method that lists all the data fields.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getFileName

    public String getFileName()

  The name of the file.

### getPageSize

    public int getPageSize()

  Page size in bytes.

### getMap

    public int getMap()

  Requested pages mapped into the process' address space.

### getCacheHit

    public int getCacheHit()

  Requested pages found in the cache.

### getCacheMiss

    public int getCacheMiss()

  Requested pages not found in the cache.

### getPageCreate

    public int getPageCreate()

  Pages created in the cache.

### getPageIn

    public int getPageIn()

  Pages read into the cache.

### getPageOut

    public int getPageOut()

  Pages written from the cache to the backing file.

### toString

    public String toString()

  For convenience, the CacheFileStats class has a toString method that lists all the data fields.

Berkeley DB version 4.3.28

Copyright (c) 1996-2004 Sleepycat Software, Inc. - All rights reserved.